> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ziina.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transfer by Id

> Retrieve transfer details from Ziina’s API to monitor user transactions and update your frontend or backend logic accordingly

<Note>
  In order to call this endpoint your token must have `write_transfers`
  [scope](/developers/oauth-2.0#available-scopes).
  Only the payer or the receiver can fetch the transfer.
</Note>


## OpenAPI

````yaml ../payment-service-openapi.json GET /transfer/{id}
openapi: 3.0.0
info:
  title: Ziina API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api-v2.ziina.com/api
security:
  - bearer: []
tags: []
paths:
  /transfer/{id}:
    get:
      tags:
        - Transfer
      description: Get a transfer by its ID. Caller must be the payer or the receiver.
      operationId: TransferController_getTransfer
      parameters:
        - name: id
          required: true
          in: path
          description: id of the transfer
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferDto'
components:
  schemas:
    TransferDto:
      type: object
      properties:
        id:
          type: string
          description: id of the transfer
        account_id:
          type: string
          description: Account which will receive the transfer
        amount:
          type: number
          description: >-
            Transaction amount. Values must be passed in the base units of their
            currency. For example, $10.50 should be provided as `1050`.
        currency_code:
          type: string
          description: >-
            Currency code of the amount to charge. This should be a 3-letter
            ISO-4217 currency code. For example, if you wish to charge 10 AED,
            you should pass AED. For more information on supported currencies,
            please visit the [supported currencies page](/supported-currencies)
        created_at:
          type: string
          description: Unix timestamp in milliseconds
        status:
          type: string
          enum:
            - requires_payment_instrument
            - requires_user_action
            - pending
            - completed
            - failed
            - canceled
          description: >-
            Status of the transaction. You can find more details
            [here](/api-reference/payment-intent/index#fetching-a-payment-intent)
        operation_id:
          type: string
          description: >-
            Unique client generated UUID. In case of retries provide the same
            operation_id
        message:
          type: string
          description: >-
            Optional text comment attached to a transfer. Displayed to the user
            in the app as part of the transaction details.
      required:
        - id
        - account_id
        - amount
        - currency_code
        - created_at
        - status
        - operation_id
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````